package com.org.hktshop.Interface.product;

import com.alibaba.fastjson.JSONObject;
import com.org.hktshop.entity.product.HktGoodItem;
import com.org.hktshop.entity.product.HktPositivePrice;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public interface IHktPositiveEnergyService {
    /**
     * 正能量数据列表
     * @param hktGoodItem
     * @return
     */
    Object queryPositiveByPage(HktGoodItem hktGoodItem);

    /**
     * 正能量数据列表
     * @param hktGoodItem
     * @return
     */
    JSONObject getPositiveProduct(HktGoodItem hktGoodItem);
    /**
     * 京北通宇商城
     * @param hktGoodItem
     * @return
     */
    JSONObject getPositiveTyProduct(HktGoodItem hktGoodItem);


    /**
     * 新增/修改正能量加权
     * @param hktPositivePrice
     * @return
     */
    void updatePositive(HktPositivePrice hktPositivePrice);

    /**
     * 正能量加权详情
     * @param hktPositivePrice
     * @return
     */
    HktPositivePrice getPositive(HktPositivePrice hktPositivePrice);

    /**
     * 正能量加权详情
     * @param hktPositivePrice
     * @return
     */
    Object findById(HktPositivePrice hktPositivePrice);

}
